Bug 119815 - FILEOPEN - CSV text import window hidden behind main window if extension manager is open (GTK3)
Summary: FILEOPEN - CSV text import window hidden behind main window if extension mana...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-09-12 09:47 UTC by Xisco Faulí
Modified: 2019-09-13 02:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-09-12 09:47:46 UTC
Steps to reproduce:
1. Open Calc
2. Open the Extension Manager
3. Open a .CSV file from the file manager ( attachment 48201 [details] )

-> Text Import dialog is displayed behind the main calc window.

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 2da435922f9c1fcf52eb0c1eb3d6f73581e9f793
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-09-12 09:49:27 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1092cc0c75f6d2ab649dd31b1db9f0a9f0944355

author	Caolán McNamara <caolanm@redhat.com>	2016-06-13 14:44:59 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2016-06-13 14:49:21 +0100
commit	1092cc0c75f6d2ab649dd31b1db9f0a9f0944355 (patch)
tree	46dbcad1cc45e7d67277b16782e8261855097e5b
parent	cfe33278f542af05fd1a2df040af1cd0aea9ed45 (diff)
Related: tdf#100337 revert x-crossplatform ToTop...

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Caolán McNamara
Comment 2 QA Administrators 2019-09-13 02:50:51 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug